Page MenuHomeVyOS Platform

There is not restriction on selection of syslog facility
Closed, ResolvedPublicFEATURE REQUEST

Description

Hi again.

There is not restriction on selection of syslog facility:

set system flow-accounting syslog-facility brownie

works but there is nota valid syslog options.

Adding a constraint resolves this:

<constraint>               <regex>auth|authpriv|cron|daemon|kern|lpr|mail|mark|news|protocols|security|syslog|user|uucp|local0|local1|local2|local3|local4|local5|local6|local7|all</regex>
</constraint>

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Improvement (missing useful functionality)

Related Objects

StatusSubtypeAssignedTask
In progressFEATURE REQUESTNone
In progressFEATURE REQUESTzsdc
ResolvedFEATURE REQUESTjestabro

Event Timeline

vyos@vyos# set system flow-accounting syslog-facility brownie

  This is not a valid logging facility
  Value validation failed
  Set failed

[edit]
elbuit changed the task status from Open to In progress.Dec 21 2019, 6:39 PM
elbuit claimed this task.
elbuit triaged this task as Low priority.
elbuit changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
syncer reopened this task as Backport candidate.Jan 1 2020, 2:05 PM
syncer reassigned this task from elbuit to jestabro.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.5) board.

Parent task not yet listed for backport; discussed with @zsdc for possible inclusion in future.

erkin set Issue type to Bug (incorrect behavior).Aug 31 2021, 6:03 PM
erkin changed Issue type from Bug (incorrect behavior) to Improvement (missing useful functionality).